Index: .hgignore
===================================================================
--- .hgignore	(revision 758)
+++ .hgignore	(revision 976)
@@ -12,2 +12,3 @@
 debug.log
 moodlesetup.txt
+docker/msys/id_rsa
Index: MANIFEST.in
===================================================================
--- MANIFEST.in	(revision 916)
+++ MANIFEST.in	(revision 939)
@@ -1,5 +1,4 @@
 include mlx.nsi
-include makeinst.bat
-include winemakeinst.bat
+include makeinst.sh
 include license.txt
 include runmlx.py
Index: TODO
===================================================================
--- TODO	(revision 285)
+++ TODO	(revision 1009)
@@ -0,0 +1,5 @@
+- Python 3:
+  - icons besides menus
+  - X-Plane on Linux and Windows
+  - streamline distribution (remove unnecessary stuff)
+  - check some colours on Windows (e.g. the tab background)
Index: dcdatagen.py
===================================================================
--- dcdatagen.py	(revision 599)
+++ dcdatagen.py	(revision 932)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 
@@ -764,12 +764,12 @@
     numLines = len(lines)
     if numLines==0:
-        print >> file, "msgstr \"\""
+        print("msgstr \"\"", file=file)
     elif numLines==1:
-        print >> file, "msgstr \"%s\"" % (lines[0])
+        print("msgstr \"%s\"" % (lines[0]), file=file)
     else:
-        print >> file, "msgstr \"\""
+        print("msgstr \"\"", file=file)
         for i in range(0, numLines):
-            print >> file, "\"%s%s\"" % (lines[i], "" if i==(numLines-1) else "\\n")
-    print >> file
+            print("\"%s%s\"" % (lines[i], "" if i==(numLines-1) else "\\n"), file=file)
+    print(file=file)
 
 #-------------------------------------------------------------------------------
@@ -789,8 +789,8 @@
             poFile = open(poPath, "wt")
             poFiles.append(poFile)
-            print >> poFile, "msgid \"\""
-            print >> poFile, "msgstr \"\""
-            print >> poFile, "\"Content-Type: text/plain; charset=utf-8\\n\""
-            print >> poFile, "\"Content-Transfer-Encoding: 8bit\\n\""
+            print("msgid \"\"", file=poFile)
+            print("msgstr \"\"", file=poFile)
+            print("\"Content-Type: text/plain; charset=utf-8\\n\"", file=poFile)
+            print("\"Content-Transfer-Encoding: 8bit\\n\"", file=poFile)
 
         (baseData, headings, headingFlags, rows) = table
@@ -801,5 +801,5 @@
             for j in range(0, numLanguages):
                 poFile = poFiles[j]
-                print >> poFile, "msgid \"%sheading%d\"" % (poPrefix, i)
+                print("msgid \"%sheading%d\"" % (poPrefix, i), file=poFile)
                 generateMsgStr(poFile, heading[j])
 
@@ -810,5 +810,5 @@
                 for i in range(0, numLanguages):
                     poFile = poFiles[i]
-                    print >> poFile, "msgid \"%srow%d\"" % (poPrefix, rowIndex)
+                    print("msgid \"%srow%d\"" % (poPrefix, rowIndex), file=poFile)
                     generateMsgStr(poFile, columns[i])
             elif type==DELAYCODE:
@@ -819,20 +819,20 @@
                             if column[i]:
                                 poFile = poFiles[i]
-                                print >> poFile, "msgid \"%srow%d_col%d\"" % \
-                                  (poPrefix, rowIndex, columnIndex)
+                                print("msgid \"%srow%d_col%d\"" % \
+                                  (poPrefix, rowIndex, columnIndex), file=poFile)
                                 generateMsgStr(poFile, column[i])
                     columnIndex += 1
             rowIndex += 1
 
-        print >> dcdata, "import mlx.const as const"
-        print >> dcdata, "from mlx.i18n import xstr"
-        print >> dcdata
-        print >> dcdata, "CAPTION = 1"
-        print >> dcdata, "DELAYCODE = 2"
-        print >> dcdata
+        print("import mlx.const as const", file=dcdata)
+        print("from mlx.i18n import xstr", file=dcdata)
+        print(file=dcdata)
+        print("CAPTION = 1", file=dcdata)
+        print("DELAYCODE = 2", file=dcdata)
+        print(file=dcdata)
 
         tableMask = 1
         for i in range(0, len(tablePrefixes)):
-            print >> dcdata, "_%s_code2meaning = {" % (tablePrefixes[i],)
+            print("_%s_code2meaning = {" % (tablePrefixes[i],), file=dcdata)
 
             columnIndexes = []
@@ -850,25 +850,25 @@
 
                 if type==DELAYCODE:
-                    print >> dcdata, "    \"%s\": \"%s\"," % \
-                      (str(columns[codeIndex]).strip(), columns[meaningIndex][0].replace("\n", ""))
-
-            print >> dcdata, "}"
-            print >> dcdata
+                    print("    \"%s\": \"%s\"," % \
+                      (str(columns[codeIndex]).strip(), columns[meaningIndex][0].replace("\n", "")), file=dcdata)
+
+            print("}", file=dcdata)
+            print(file=dcdata)
 
             tableMask <<= 1
 
-        print >> dcdata, "def _extract(table, row):"
-        print >> dcdata, "    code = row[0].strip()"
-        print >> dcdata, "    meaning = table[code] if code in table else None"
-        print >> dcdata, "    return code + ((\" (\" + meaning + \")\") if meaning else \"\")"
-        print >> dcdata
+        print("def _extract(table, row):", file=dcdata)
+        print("    code = row[0].strip()", file=dcdata)
+        print("    meaning = table[code] if code in table else None", file=dcdata)
+        print("    return code + ((\" (\" + meaning + \")\") if meaning else \"\")", file=dcdata)
+        print(file=dcdata)
 
         tableMask = 1
         for i in range(0, len(tablePrefixes)):
 
-            print >> dcdata, "_%s_data = (" % (tablePrefixes[i],)
-            print >> dcdata, "    lambda row: _extract(_%s_code2meaning, row)," % \
-              (tablePrefixes[i],)
-            print >> dcdata, "    [",
+            print("_%s_data = (" % (tablePrefixes[i],), file=dcdata)
+            print("    lambda row: _extract(_%s_code2meaning, row)," % \
+              (tablePrefixes[i],), file=dcdata)
+            print("    [", end=' ', file=dcdata)
 
             columnIndexes = []
@@ -876,11 +876,11 @@
                 if ( (headingFlags[j]&tableMask)==tableMask ):
                     if columnIndexes:
-                        print >> dcdata, ",",
-                    print >> dcdata, "xstr(\"%sheading%d\")" % (poPrefix, j),
+                        print(",", end=' ', file=dcdata)
+                    print("xstr(\"%sheading%d\")" % (poPrefix, j), end=' ', file=dcdata)
                     columnIndexes.append(j)
 
-            print >> dcdata, "],"
-
-            print >> dcdata, "    ["
+            print("],", file=dcdata)
+
+            print("    [", file=dcdata)
 
             rowIndex = 0
@@ -891,43 +891,43 @@
 
                 if type==CAPTION:
-                    print >> dcdata, "        (CAPTION, xstr(\"%srow%d\"))," % \
-                      (poPrefix, rowIndex)
+                    print("        (CAPTION, xstr(\"%srow%d\"))," % \
+                      (poPrefix, rowIndex), file=dcdata)
                 elif type==DELAYCODE:
-                    print >> dcdata, "        (DELAYCODE, ["
+                    print("        (DELAYCODE, [", file=dcdata)
                     for j in columnIndexes:
                         column = columns[j]
                         if j!=columnIndexes[0]:
-                            print >> dcdata, ","
+                            print(",", file=dcdata)
                         if isinstance(column, list):
                             if column[0]:
-                                print >> dcdata, "            xstr(\"%srow%d_col%d\")"  % \
-                                (poPrefix, rowIndex, j),
+                                print("            xstr(\"%srow%d_col%d\")"  % \
+                                (poPrefix, rowIndex, j), end=' ', file=dcdata)
                             else:
-                                print >> dcdata, "            \"\"",
+                                print("            \"\"", end=' ', file=dcdata)
                         else:
-                            print >> dcdata, "            \"%s\""  % \
-                              (column,),
-                    print >> dcdata, "] ),"
+                            print("            \"%s\""  % \
+                              (column,), end=' ', file=dcdata)
+                    print("] ),", file=dcdata)
                 rowIndex += 1
 
-            print >> dcdata, "    ]"
-
-            print >> dcdata, ")"
-            print >> dcdata
+            print("    ]", file=dcdata)
+
+            print(")", file=dcdata)
+            print(file=dcdata)
 
             tableMask <<= 1
 
-        print >> dcdata, "def getTable(aircraftType):"
+        print("def getTable(aircraftType):", file=dcdata)
         first = True
         for i in range(0, len(tablePrefixes)):
             tablePrefix = tablePrefixes[i]
             for typeSuffix in typeGroups[i]:
-                print >> dcdata, "    %s aircraftType==const.AIRCRAFT_%s:" % \
-                  ("if" if first else "elif", typeSuffix)
-                print >> dcdata, "        return _%s_data" % (tablePrefix,)
+                print("    %s aircraftType==const.AIRCRAFT_%s:" % \
+                  ("if" if first else "elif", typeSuffix), file=dcdata)
+                print("        return _%s_data" % (tablePrefix,), file=dcdata)
                 first = False
 
-        print >> dcdata, "    else:"
-        print >> dcdata, "        return None"
+        print("    else:", file=dcdata)
+        print("        return None", file=dcdata)
     finally:
         for poFile in poFiles:
Index: diffdist.py
===================================================================
--- diffdist.py	(revision 310)
+++ diffdist.py	(revision 919)
@@ -18,5 +18,5 @@
 def usage():
     """Print a usage message."""
-    print "Usage: %s <old dist dir> <new dist dir>" % (sys.argv[0],)
+    print("Usage: %s <old dist dir> <new dist dir>" % (sys.argv[0],))
 
 #--------------------------------------------------------------------------
@@ -62,11 +62,11 @@
 
                 if numDiffs<=4:
-                    print "File %s is considered to be the same in both versions with %d changes" % \
-                          (path, numDiffs)
+                    print("File %s is considered to be the same in both versions with %d changes" % \
+                          (path, numDiffs))
                     finalManifest.addFile(path, oldSize, oldSum)
                     copyOld = True
 
         if not copyOld:
-            print ">>> File %s is being copied" % (path,)
+            print(">>> File %s is being copied" % (path,))
             tarFile.add(os.path.join(newDirectory, path), arcname = path)
             
@@ -74,5 +74,5 @@
     with os.fdopen(fd, "wt") as f:
         finalManifest.writeInto(f)
-    os.chmod(path, 0644)
+    os.chmod(path, 0o644)
     tarFile.add(path, arcname = manifestName)
     tarFile.close()
@@ -80,10 +80,10 @@
     os.remove(path)
 
-    print
-    print "%s created" % (tarName,)
+    print()
+    print("%s created" % (tarName,))
     if removed:
-        print
-        print "Files to remove:"
-        print
+        print()
+        print("Files to remove:")
+        print()
         for path in removed:
-            print "  ", path
+            print("  ", path)
Index: diffdist.sh
===================================================================
--- diffdist.sh	(revision 189)
+++ diffdist.sh	(revision 966)
@@ -6,3 +6,3 @@
 export PYTHONPATH
 
-exec python "${scriptdir}/diffdist.py" "$@"
+exec python3 "${scriptdir}/diffdist.py" "$@"
Index: docker/virtualairlines.hu/build-virtualairlines.hu.sh
===================================================================
--- docker/virtualairlines.hu/build-virtualairlines.hu.sh	(revision 1007)
+++ docker/virtualairlines.hu/build-virtualairlines.hu.sh	(revision 1007)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+scriptdir=$(cd $(dirname $0) && pwd)
+
+docker build -t virtualairlines.hu "${scriptdir}/context"
Index: docker/virtualairlines.hu/context/Dockerfile
===================================================================
--- docker/virtualairlines.hu/context/Dockerfile	(revision 1007)
+++ docker/virtualairlines.hu/context/Dockerfile	(revision 1007)
@@ -0,0 +1,21 @@
+FROM ubuntu:18.04
+
+RUN apt-get update -y && \
+    /usr/bin/env DEBIAN_FRONTEND=noninteractive apt-get install -y \
+    software-properties-common && \
+    add-apt-repository -y ppa:ondrej/php && \
+    apt-get update -y && \
+    /usr/bin/env DEBIAN_FRONTEND=noninteractive apt-get install -y \
+    patch \
+    mysql-client \
+    mysql-server \
+    apache2 \
+    php5.6 \
+    php5.6-mysql \
+    php5.6-xml && \
+    apt-get clean -y
+
+COPY entrypoint.sh init.sql php.ini.patch /
+
+ENTRYPOINT ["/entrypoint.sh"]
+CMD ["mava"]
Index: docker/virtualairlines.hu/context/entrypoint.sh
===================================================================
--- docker/virtualairlines.hu/context/entrypoint.sh	(revision 1007)
+++ docker/virtualairlines.hu/context/entrypoint.sh	(revision 1007)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+if test "$1" = "mava"; then
+    if test ! -f /root/initialized; then
+        echo "Initial run, setting up some directories and symlinks"
+        if test ! -d /var/run/apache2; then
+            mkdir /var/run/apache2
+        fi
+
+        if test ! -d /var/run/mysqld; then
+            install -m 755 -o mysql -g root -d /var/run/mysqld
+        fi
+
+        mv /var/www/html /var/www/html.orig
+        ln -s /data/public_html/www /var/www/html
+
+        mkdir -p /home/ftp/virtualmalev
+        ln -s /data/public_html /home/ftp/virtualmalev/public_html
+
+        mkdir -p /home/mavasyst/public_html
+        ln -s /data/public_html /home/mavasyst/public_html/mava_old
+
+        cd /etc/php/5.6/apache2
+        patch -p0 < /php.ini.patch
+    fi
+
+    echo "Starting MySQL"
+    su - mysql -s /bin/sh -c "/usr/bin/mysqld_safe" &
+
+    if test ! -f /root/initialized; then
+        echo "Sleeping to let MySQL start up properly"
+        sleep 5
+
+        echo "Loading database into MySQL"
+        cat /init.sql | mysql
+        cat /data/uvirtualmalev.sql | mysql mavasyst_mavaold
+
+        touch /root/initialized
+    fi
+
+    source /etc/apache2/envvars
+    exec apache2 -DFOREGROUND
+else
+    exec "$@"
+fi
Index: docker/virtualairlines.hu/context/init.sql
===================================================================
--- docker/virtualairlines.hu/context/init.sql	(revision 1007)
+++ docker/virtualairlines.hu/context/init.sql	(revision 1007)
@@ -0,0 +1,7 @@
+SET GLOBAL sql_mode = '';
+
+CREATE DATABASE mavasyst_mavaold;
+
+CREATE USER mavasyst_mavasql IDENTIFIED BY 'zp3D1Hz4JJP7';
+
+GRANT ALL ON mavasyst_mavaold.* TO mavasyst_mavasql;
Index: docker/virtualairlines.hu/run-virtualairlines.hu.sh
===================================================================
--- docker/virtualairlines.hu/run-virtualairlines.hu.sh	(revision 1007)
+++ docker/virtualairlines.hu/run-virtualairlines.hu.sh	(revision 1007)
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+docker run -d --name virtualairlines.hu -p 40080:80 -v "${HOME}/sources/mlx/virtualairlines.hu":/data:ro virtualairlines.hu
Index: docker/virtualairlines.hu/start-virtualairlines.hu.sh
===================================================================
--- docker/virtualairlines.hu/start-virtualairlines.hu.sh	(revision 1007)
+++ docker/virtualairlines.hu/start-virtualairlines.hu.sh	(revision 1007)
@@ -0,0 +1,1 @@
+#!/usr/bin/bash
Index: makeinst.sh
===================================================================
--- makeinst.sh	(revision 937)
+++ makeinst.sh	(revision 937)
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+#set MSVCRDIR=c:\windows\winsxs\x86_Microsoft.VC90.CRT*9.0.21022.8*
+if test "${WINE}" = "yes"; then
+    cdrive="/root/.wine/drive_c/"
+    MINGW32DIR="c:/msys64/mingw32"
+
+    export GTKRTDIR="${MINGW32DIR}"
+    export CEFDIR="${MINGW32DIR}/lib/python3.7/site-packages/cefpython3"
+
+    export PYTHONHASHSEED=1234
+    export PYTHONIOENCODING=utf8
+    export PYTHONUTF8=1
+
+    wine "${cdrive}/msys64/mingw32/bin/python3.exe" setup.py py2exe
+
+    wine "${cdrive}/Program Files/NSIS/makensis.exe" mlx.nsi
+else
+    export GTKRTDIR=/mingw32
+    export CEFDIR=/mingw32/lib/python3.7/site-packages/cefpython3
+#set CHROMEDRIVER=c:\tmp\chromedriver.exe
+    export NSISDIR=/c/Program Files/NSIS
+
+    python3 setup.py py2exe
+    "$NSISDIR/makensis.exe" mlx.nsi
+fi
+
+#del dist\library\selenium\webdriver\chrome\service.pyc
+#copy patches\library\selenium\webdriver\chrome\service.py dist\library\selenium\webdriver\chrome\service.py
+#python -m compileall dist\library\selenium\webdriver\chrome\service.py
+#del dist\library\selenium\webdriver\chrome\service.py
Index: makesdist.sh
===================================================================
--- makesdist.sh	(revision 281)
+++ makesdist.sh	(revision 940)
@@ -2,3 +2,3 @@
 
 make
-python setup.py sdist
+python3 setup.py sdist
Index: misc/fs9.CFG
===================================================================
--- misc/fs9.CFG	(revision 972)
+++ misc/fs9.CFG	(revision 972)
@@ -0,0 +1,548 @@
+[DISPLAY]
+DisableSoftwareWarning=1
+UPPER_FRAMERATE_LIMIT=20
+TEXTURE_BANDWIDTH_MULT=20
+[PANELS]
+IMAGE_QUALITY=1
+UNITS_OF_MEASURE=1
+QUICKTIPS=1
+PANEL_MASKING=1
+PANEL_STRETCHING=1
+[Weather]
+WindshieldPrecipitationEffects=1
+MinGustTime=10
+MaxGustTime=500
+MinGustRampSpeed=1
+MaxGustRampSpeed=200
+MinVarTime=5
+MaxVarTime=50
+MinVarRampSpeed=10
+MaxVarRampSpeed=75
+TurbulenceScale=1.000000
+DefaultVisibility=0
+DynWx_MedianDewPointSpread=10.000000
+DynWx_ProbCloudFormForMedianDewPoint=0.000500
+DynWx_MaxDewPointSpread=50.000000
+DynWx_ProbCloudFormForMaxDewPoint=0.000125
+DynWx_ProbCloudFormForMinDewPoint=0.100000
+DynWx_DryTempLapsePer1000Meters=9.000000
+DynWx_ProbCloudFormForDryTempLapse=0.000500
+DynWx_MoistTempLapsePer1000Meters=3.300000
+DynWx_ProbCloudFormForMoistTempLapse=0.040000
+DynWx_MaxProbCloudChangePerMinute=0.040000
+DynWx_MultiplierForDynamicWeatherLevelMild=0.500000
+DynWx_MultiplierForDynamicWeatherLevelNormal=1.000000
+DynWx_MultiplierForDynamicWeatherLevelHigh=3.000000
+DynWx_MultiplierForDynamicWeatherLevelExtreme=10.000000
+DynWx_TempChangePercentageForOvercastClouds=0.750000
+DynWx_TempChangePercentageForMinDewPoint=0.700000
+DynWx_MaxTempChangePerMinute=0.060000
+WeatherServerAddress=fs2k.zone.com
+WeatherServerPort=80
+WeatherGraphDataInDialog=0
+DynamicWeather=2
+LOADWEATHER=1
+MAX_UNLIMITED_VIS=96560
+CLOUD_DRAW_DISTANCE=3
+3D_CLOUD_PERCENT=20
+DETAILED_CLOUDS=0
+CLOUD_COVERAGE_DENSITY=5
+CloudsImpostorRingRadius=9600.000000
+DownloadWindsAloft=0
+DisableTurbulence=0
+[INTERNATIONAL]
+ASLAT=2
+ASLON=0
+MEASURE=1
+[MISC]
+COM_RATE=7
+LOG_TIME=0
+FOREIGN_TRANSLATOR=0
+LOG_FILE=
+[STARTUP]
+DEMO=0
+LOADSIM=1
+LOADWINDOW=1
+SHOW_OPENING_SCREEN=1
+STARTUP_DEMO=
+[GRAPHICS]
+FULL_SCREEN=0
+PERFORMANCE_MODE=2
+DEF_PERF_MODE=2
+TEXT_SCROLL=0
+AUTO_LOD=0
+DETAIL_TEXTURE=0
+WATER_EFFECTS=0
+TERRAIN_USE_VECTOR_MAP=1
+TERRAIN_USE_VECTOR_OBJECTS=1
+EFFECTS_QUALITY=0
+GROUND_SHADOWS=0
+SMOOTH_VIEW=1
+IMAGE_SMOOTHING=1
+TEXTURE_MAX_LOAD=128
+COCKPIT_HIGH_LOD=0
+AIRCRAFT_SHADOWS=0
+LANDING_LIGHTS=1
+IMAGE_QUALITY=0
+TEXTURE_BLDG=1
+TEXTURE_GND=1
+TEXTURE_WATER=1
+AIRCRAFT_TEXTURE=1
+SEE_SELF=1
+TEXTURE_QUALITY=3
+LOD_TARGET_FPS=14
+NUM_LIGHTS=6
+[REALISM]
+INDASPD=0
+PFactor=1.000000
+Torque=1.000000
+GyroEffect=1.000000
+CrashTolerance=1.000000
+General=1.000000
+UnlimitedFuel=False
+TrueAirspeed=False
+AutoCoord=True
+RealMixture=True
+StressDamage=False
+GEffect=True
+ManualLights=True
+GyroDrift=True
+CrashWithDyn=False
+CrashDetection=0
+[CONTROLS]
+KBDAIL=64
+KBDELEV=64
+KBDRUD=64
+PAN_RATE=400
+[USERINTERFACE]
+MAP_ORIENTATION=2
+PAUSE_ON_LOST_FOCUS=0
+PROMPT_ON_EXIT=1
+SelectFlightLevel=0
+SelectFlightTitle=0
+PageID=4
+OpenATCOnCreate=0
+SITUATION=C:\Documents and Settings\vi\My Documents\Flight Simulator Files\Default
+DisplayFuelAsWeight=1
+[SOUND]
+SOUND=1
+SOUND_FADER1=0.680000
+SOUND_FADER2=0.000000
+SOUND_FADER3=0.420000
+SOUND_FADER4=0.000000
+SOUND_FADER5=0.390000
+SOUND_FADER6=0.000000
+SOUND_QUALITY=0
+[TERRAIN]
+TERRAIN_ERROR_FACTOR=20.000000
+TERRAIN_MIN_DEM_AREA=10.000000
+TERRAIN_MAX_DEM_AREA=100.000000
+TERRAIN_MAX_VERTEX_LEVEL=19
+TERRAIN_TEXTURE_SIZE_EXP=7
+TERRAIN_AUTOGEN_DENSITY=0
+TERRAIN_USE_GRADIENT_MAP=1
+TERRAIN_EXTENDED_TEXTURES=0
+TERRAIN_DEFAULT_RADIUS=0.000000
+TERRAIN_EXTENDED_RADIUS=0.000000
+TERRAIN_EXTENDED_LEVELS=0
+[SCENERY]
+IMAGE_COMPLEXITY=1
+DYNAMIC_SCENERY=0
+DYN_SCN_DENSITY=0
+DAWN_DUSK_SMOOTHING=0
+SUNGLARE=1
+LENSFLARE=1
+[AIRtoCONTAINER]
+SIM1=Cessna Skylane 182R RG
+SIM2=Learjet 45
+SIM3=Schweizer 2-32 Sailplane
+SIM4=Sopwith Camel
+SIM5=Extra 300S
+SIM6=Boeing 737-400
+[APL]
+CACHE_WAV_FILES=1
+[TrafficManager]
+TrafficDensity=0
+IFROnly=0
+EnableAirline=1
+EnableGeneralAviation=1
+[AContain]
+ShowLabels=1
+ShowUserLabel=0
+ShowLabelManufacturer=1
+ShowLabelModel=1
+ShowLabelTailNumber=0
+ShowLabelDistance=1
+ShowLabelAltitude=1
+ShowLabelAirline=0
+ShowLabelAirlineAndFlightNumber=0
+ShowLabelFlightPlan=0
+ShowLabelContainerId=0
+ShowLabelAirspeed=0
+ShowLabelHeading=0
+LabelDelay=1000
+LabelColor=FFFF0000
+[SLEW]
+MaxLateralRate=40000.000000
+MaxVerticalRate=1000.000000
+MaxPitchRate=360.000000
+MaxBankRate=360.000000
+MaxHeadingRate=360.000000
+[VirtualCopilot]
+VirtualCopilotActive=0
+[MAIN]
+Location=5,3,977,788
+HideMenuNormal=0
+HideMenuFullscreen=1
+Maximized=0
+[MULTIPLAYER]
+ALWAYS_SHOW_INITIAL_DIALOG=1
+SESSION_NAME=My Session
+PLAYER_NAME=Unnamed Pilot
+GUARANTEED_MESSAGES=0
+MAX_PLAYERS=8
+MAX_OBSERVERS=0
+TICKS_PER_SYNC=90
+PACKETS_PER_SEC=4
+COLLISION_SECS=2
+FOLLOWING_MULTIPLIER=5
+ALLOW_PLANE_MODEL_SEND=0
+ALLOW_PLANE_MODEL_RECEIVE=0
+ALLOW_TEXTURE_SEND=0
+ALLOW_TEXTURE_RECEIVE=0
+MAX_SEGMENT_SIZE=100
+MAX_SEGMENTS_PER_SEC=1
+CONNECTION_TYPE=0
+PROTOCOL_SELECTION=0
+ALLOW_DESCRIPTIVE_SEND=1
+ALLOW_DESCRIPTIVE_RECEIVE=1
+AUTOPILOT_LOCK=0
+DISTANCE_DISPLAY=0
+ADF_TRACK=0
+ALLOW_NAME_TAG_DISPLAY=1
+CLIENT_CONNECT_USE_CUSTOM_PORT=0
+CLIENT_CONNECT_PORT=23456
+CLIENT_HOST_USE_CUSTOM_PORT=0
+CLIENT_HOST_PORT=23456
+HOST_CONNECT_USE_CUSTOM_PORT=0
+HOST_CONNECT_PORT=23456
+[SIM]
+SYSCLOCK=0
+[ATC]
+AutoOpenAirTrafficWindow=1
+UsePilotVoice=1
+ShowATCText=1
+PilotVoice=1
+[FACILITIES]
+COUNTRY=
+STATE=
+CITY=
+GTL_BUTTON=6225
+[DISPLAY.Device.]
+Mode=
+MipBias=8
+Disable=1
+Filter=0
+Dither=0
+MipMap=0
+Stencil=0
+Fog=0
+ExpFog=0
+TnL=0
+DriverValidate=0
+DXTn=0
+TextureForce=0
+PanelAsTexture=0
+TexGen=0
+MultiTexture=0
+TEXBEM=0
+RenderToTexture=0
+UseShaders=0
+TableFog=0
+[WEATHER_MAP]
+SHOW_AIRPORTS=0
+SHOW_VORS=0
+SHOW_NDBS=0
+SHOW_APPROACHES=0
+SHOW_INTERSECTIONS=0
+SHOW_VICTOR=0
+SHOW_JET=0
+SHOW_AIRSPACE=0
+SHOW_FLIGHTPLAN=1
+SHOW_WEATHERSTATIONS=1
+SHOW_WEATHERSYSTEMS=1
+SHOW_DATATAGS=1
+SHOW_TERRAIN=1
+[WeatherAreaMap]
+show_airports=0
+show_waypoints=0
+show_airways=1
+show_vors=0
+show_ndbs=0
+show_markers=0
+show_volume_boundaries=0
+show_ac_twr=1
+[STATION_MAP]
+SHOW_AIRPORTS=0
+SHOW_VORS=0
+SHOW_NDBS=0
+SHOW_APPROACHES=0
+SHOW_INTERSECTIONS=0
+SHOW_VICTOR=0
+SHOW_JET=0
+SHOW_AIRSPACE=0
+SHOW_FLIGHTPLAN=1
+SHOW_WEATHERSTATIONS=1
+SHOW_WEATHERSYSTEMS=0
+SHOW_DATATAGS=1
+SHOW_TERRAIN=1
+[JOYSTICK_MAIN {A3D60A20-8B68-11E3-8001-444553540000}]
+AXIS_EVENT_00=AXIS_FLAPS_SET
+AXIS_SCALE_00=127
+AXIS_NULL_00=1
+BUTTON_DOWN_EVENT_00=BRAKES
+BUTTON_DOWN_REPEAT_00=1
+BUTTON_DOWN_EVENT_01=VIEW_MODE
+BUTTON_DOWN_EVENT_02=ELEV_TRIM_DN
+BUTTON_DOWN_REPEAT_02=1
+BUTTON_DOWN_EVENT_03=ELEV_TRIM_UP
+BUTTON_DOWN_REPEAT_03=1
+BUTTON_DOWN_EVENT_04=FLAPS_INCR
+BUTTON_DOWN_EVENT_05=FLAPS_DECR
+BUTTON_DOWN_EVENT_06=KNEEBOARD_VIEW
+BUTTON_DOWN_EVENT_07=GEAR_TOGGLE
+BUTTON_DOWN_EVENT_08=VIEW_MODE
+BUTTON_DOWN_EVENT_09=GEAR_TOGGLE
+[JOYSTICK_SLEW {A3D60A20-8B68-11E3-8001-444553540000}]
+AXIS_EVENT_00=AXIS_SLEW_SIDEWAYS_SET
+AXIS_SCALE_00=127
+AXIS_NULL_00=1
+AXIS_EVENT_01=AXIS_SLEW_AHEAD_SET
+AXIS_SCALE_01=64
+AXIS_NULL_01=36
+BUTTON_DOWN_EVENT_00=SLEW_RESET
+BUTTON_DOWN_EVENT_01=VIEW_MODE
+BUTTON_DOWN_EVENT_02=SLEW_ALTIT_PLUS
+BUTTON_DOWN_EVENT_03=SLEW_ALTIT_MINUS
+BUTTON_DOWN_EVENT_04=SLEW_PITCH_PLUS
+BUTTON_DOWN_EVENT_05=SLEW_PITCH_MINUS
+BUTTON_DOWN_EVENT_06=SLEW_BANK_MINUS
+BUTTON_DOWN_EVENT_07=SLEW_BANK_PLUS
+BUTTON_DOWN_EVENT_08=SLEW_FREEZE
+BUTTON_DOWN_EVENT_09=SLEW_RESET
+[KEYBOARD_MAIN]
+SELECT_1=49,8
+SELECT_2=50,8
+SELECT_3=51,8
+SELECT_4=52,8
+MINUS=189,8
+PLUS=187,8
+ZOOM_1X=8,8
+SOUND_TOGGLE=81,8
+ENGINE=69,8
+SIM_RATE=82,8
+XPNDR=84,8
+SLEW_TOGGLE=89,8
+EGT=85,8
+SMOKE_TOGGLE=73,8
+STROBES_TOGGLE=79,8
+PAUSE_TOGGLE=80,8
+ATC=192,8
+ADF=65,8
+VIEW_MODE=83,8
+HEADING_GYRO_SET=68,8
+DME=70,8
+GEAR_TOGGLE=71,8
+ANTI_ICE_TOGGLE=72,8
+JET_STARTER=74,8
+JOYSTICK_CALIBRATE=75,10
+ALL_LIGHTS_TOGGLE=76,8
+SITUATION_SAVE=186,8
+VIEW_WINDOW_TO_FRONT=222,8
+AP_MASTER=90,8
+FREQUENCY_SWAP=88,8
+COM_RADIO=67,8
+VOR_OBS=86,8
+BAROMETRIC=66,8
+NAV_RADIO=78,8
+MAGNETO=77,8
+BRAKES=190,8
+SPOILERS_TOGGLE=191,8
+SITUATION_RESET=186,10
+FLAPS_UP=116,8
+THROTTLE_FULL=115,8
+THROTTLE_INCR_SMALL=114,8
+THROTTLE_DECR=113,8
+FLAPS_DOWN=119,8
+THROTTLE_CUT=112,8
+VIEW=111,8
+ELEV_TRIM_DN=36,8
+ELEV_DOWN=38,8
+INCREASE_THROTTLE=33,8
+AILERONS_LEFT=37,8
+CENTER_AILER_RUDDER=12,8
+AILERONS_RIGHT=39,8
+ELEV_TRIM_UP=35,8
+ELEV_UP=40,8
+DECREASE_THROTTLE=34,8
+VIEW_FORWARD=38,41
+VIEW_FORWARD_RIGHT=33,41
+VIEW_RIGHT=39,41
+VIEW_REAR_RIGHT=34,41
+VIEW_REAR=40,41
+VIEW_REAR_LEFT=35,41
+VIEW_LEFT=37,41
+VIEW_FORWARD_LEFT=36,41
+VIEW_DOWN=12,41
+RUDDER_LEFT=45,8
+RUDDER_RIGHT=135,8
+BRAKES_LEFT=122,8
+BRAKES_RIGHT=123,8
+AP_ATT_HOLD=84,10
+AP_LOC_HOLD=79,10
+AP_APR_HOLD=65,10
+AP_HDG_HOLD=72,10
+AP_ALT_HOLD=90,10
+AP_WING_LEVELER=86,10
+AP_BC_HOLD=66,10
+AP_NAV1_HOLD=78,10
+EXIT=67,10
+ABORT=3,10
+READOUTS_FLIGHT=90,9
+PANEL_TOGGLE=219,9
+VIEW_MODE_REV=83,9
+PANEL_LIGHTS_TOGGLE=76,9
+LANDING_LIGHTS_TOGGLE=76,10
+PARKING_BRAKES=190,10
+MINUS_SHIFT=189,9
+PLUS_SHIFT=187,9
+FLAPS_INCR=118,8
+FLAPS_DECR=117,8
+PROP_PITCH_LO=115,10
+PROP_PITCH_INCR_SMALL=114,10
+PROP_PITCH_DECR=113,10
+PROP_PITCH_HI=112,10
+MIXTURE_RICH=115,11
+MIXTURE_INCR_SMALL=114,11
+MIXTURE_DECR=113,11
+MIXTURE_LEAN=112,11
+SCRIPT_EVENT_1=219,10
+SCRIPT_EVENT_2=221,10
+YAW_DAMPER_TOGGLE=68,10
+CENTER_NT361_CHECK=57,11
+CLOSE_VIEW=221,8
+NEW_VIEW=219,8
+NEW_MAP=221,9
+NEXT_VIEW=9,10
+PREV_VIEW=9,11
+VIEW_TYPE=83,10
+VIEW_TYPE_REV=83,11
+RADIO_VOR1_IDENT_TOGGLE=49,10
+RADIO_VOR2_IDENT_TOGGLE=50,10
+RADIO_DME1_IDENT_TOGGLE=52,10
+RADIO_ADF_IDENT_TOGGLE=53,10
+GEAR_PUMP=71,10
+SPOILERS_ARM_TOGGLE=191,9
+PITOT_HEAT_TOGGLE=72,9
+AP_AIRSPEED_HOLD=82,10
+AUTO_THROTTLE_ARM=82,9
+AUTO_THROTTLE_TO_GA=71,11
+LANDING_LIGHT_UP=38,11
+LANDING_LIGHT_DOWN=40,11
+LANDING_LIGHT_LEFT=37,11
+LANDING_LIGHT_RIGHT=39,11
+LANDING_LIGHT_HOME=12,11
+PAN_RESET=46,9
+KNEEBOARD_VIEW=121,8
+MP_PLAYER_CYCLE=84,11
+MP_PLAYER_SNAP=70,11
+MP_GO_OBSERVER=79,11
+MP_CHAT=221,11
+MP_ACTIVATE_CHAT=13,8
+PANEL_1=49,9
+PANEL_2=50,9
+PANEL_3=51,9
+PANEL_4=52,9
+PANEL_5=53,9
+PANEL_6=54,9
+PANEL_7=55,9
+PANEL_8=56,9
+PANEL_9=57,9
+AP_MACH_HOLD=77,10
+VIEW_FORWARD_UP=38,42
+VIEW_FORWARD_RIGHT_UP=33,42
+VIEW_REAR_RIGHT_UP=34,42
+VIEW_REAR_UP=40,42
+VIEW_REAR_LEFT_UP=35,42
+VIEW_FORWARD_LEFT_UP=36,42
+VIEW_UP=12,42
+INVOKE_HELP=191,10
+TOGGLE_AIRCRAFT_LABELS=76,11
+ENGINE_AUTO_START=69,10
+INC_COWL_FLAPS=86,11
+DEC_COWL_FLAPS=67,11
+USER_INTERRUPT=27,8
+AILERON_TRIM_LEFT=37,10
+AILERON_TRIM_RIGHT=39,10
+RUDDER_TRIM_LEFT=45,10
+RUDDER_TRIM_RIGHT=135,10
+TOGGLE_FLIGHT_DIRECTOR=70,10
+TOGGLE_AFTERBURNER=115,9
+TOGGLE_MASTER_BATTERY_ALTERNATOR=77,9
+TOGGLE_AIRCRAFT_EXIT=69,9
+PANEL_HUD_TOGGLE=87,8
+SNAP_TO_PANEL=45,41
+MARKER_SOUND_TOGGLE=51,10
+TOGGLE_WATER_RUDDER=87,9
+TOGGLE_PUSHBACK=80,9
+KEY_CHASE_VIEW_NEXT=87,10
+KEY_CHASE_VIEW_PREV=87,11
+HEADING_BUG_SELECT=72,11
+ALTITUDE_BUG_SELECT=90,11
+CHASE_VIEW_TOGGLE=81,10
+EYEPOINT_UP=13,9
+EYEPOINT_DOWN=8,9
+EYEPOINT_RIGHT=13,11
+EYEPOINT_LEFT=8,11
+EYEPOINT_FORWARD=8,10
+EYEPOINT_BACK=13,10
+EYEPOINT_RESET=32,8
+AIRSPEED_BUG_SELECT=82,11
+TOGGLE_TAILWHEEL_LOCK=71,9
+ROTOR_BRAKE=66,9
+ROTOR_CLUTCH_SWITCH_TOGGLE=190,9
+ROTOR_GOV_SWITCH_TOGGLE=188,9
+VIRTUAL_COPILOT_TOGGLE=88,11
+VIRTUAL_COPILOT_ACTION=88,10
+[KEYBOARD_SLEW]
+SLEW_TOGGLE=89,8
+SLEW_ALTIT_UP_FAST=115,8
+SLEW_ALTIT_UP_SLOW=114,8
+SLEW_ALTIT_FREEZE=113,8
+SLEW_ALTIT_DN_FAST=112,8
+SLEW_ALTIT_PLUS=81,8
+SLEW_ALTIT_MINUS=65,8
+SLEW_PITCH_DN_FAST=119,8
+SLEW_PITCH_DN_SLOW=118,8
+SLEW_PITCH_FREEZE=117,8
+SLEW_PITCH_UP_FAST=116,8
+SLEW_PITCH_PLUS=57,8
+SLEW_PITCH_MINUS=48,8
+READOUTS_SLEW=90,9
+SLEW_BANK_MINUS=36,8
+SLEW_AHEAD_PLUS=38,8
+SLEW_BANK_PLUS=33,8
+SLEW_LEFT=37,8
+SLEW_FREEZE=12,8
+SLEW_RIGHT=39,8
+SLEW_HEADING_MINUS=35,8
+SLEW_AHEAD_MINUS=40,8
+SLEW_HEADING_PLUS=34,8
+SLEW_RESET=32,8
+TOGGLE_AIRCRAFT_LABELS=76,11
+EYEPOINT_UP=13,9
+EYEPOINT_DOWN=8,9
+EYEPOINT_RIGHT=13,11
+EYEPOINT_LEFT=8,11
+EYEPOINT_FORWARD=8,10
+EYEPOINT_BACK=13,10
Index: runmlx.sh
===================================================================
--- runmlx.sh	(revision 577)
+++ runmlx.sh	(revision 933)
@@ -8,3 +8,6 @@
 https_proxy=
 
-exec python -m runmlx "$@"
+FORCE_PYGOBJECT=true
+export FORCE_PYGOBJECT
+
+exec python3 -m runmlx "$@"
